Show / Hide Table of Contents

# Class TransPDFOptions

##### Inheritance

object
OptionsBase
TransPDFOptions

##### Implements

IDisposable

##### Inherited Members

OptionsBase.mObjSet
OptionsBase.mDict
OptionsBase.ColorPtToNumber(ColorPt)
OptionsBase.ColorPtFromNumber(double)
OptionsBase.GetArray(string)
OptionsBase.PutNumber(string, double)
OptionsBase.PutBool(string, bool)
OptionsBase.PutText(string, string)
OptionsBase.PutRect(string, Rect)
OptionsBase.PushBackNumber(string, double)
OptionsBase.PushBackBool(string, bool)
OptionsBase.PushBackText(string, string)
OptionsBase.PushBackRect(string, Rect)
OptionsBase.RectFromArray(Obj)
OptionsBase.insertRectCollection(string, RectCollection, int)
OptionsBase.GetInternalObj()
OptionsBase.Dispose()
OptionsBase.Dispose(bool)
OptionsBase.Destroy()
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: pdftron.PDF

###### Assembly: PDFTronDotNet.dll

##### Syntax

    public class TransPDFOptions : OptionsBase, IDisposable

### Constructors

#### TransPDFOptions()

Constructor.

##### Declaration

    public TransPDFOptions()

### Methods

#### GetBatchSize()

Gets the value BatchSize from the options object. The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

##### Declaration

    public int GetBatchSize()

##### Returns

Type | Description
--- | ---
int | The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

#### GetPages()

Gets the value Pages from the options object. Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1. This option only affects XLIFF extraction.

##### Declaration

    public string GetPages()

##### Returns

Type | Description
--- | ---
string | Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1. This option only affects XLIFF extraction.

#### GetResizeSingleLine()

Gets the value ResizeSingleLine from the options object. If true, single line text boxes will grow and shrink to accommodate translated text.

##### Declaration

    public bool GetResizeSingleLine()

##### Returns

Type | Description
--- | ---
bool | The current value for ResizeSingleLine.

#### GetSourceLanguage()

Gets the value SourceLanguage from the options object. A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

##### Declaration

    public string GetSourceLanguage()

##### Returns

Type | Description
--- | ---
string | A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

#### SetBatchSize(int)

Sets the value for BatchSize in the options object. The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

##### Declaration

    public TransPDFOptions SetBatchSize(int value)

##### Parameters

Type | Name | Description
--- | --- | ---
int | value | The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

##### Returns

Type | Description
--- | ---
TransPDFOptions | This object, for call chaining.

#### SetPages(string)

Sets the value for Pages in the options object. Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1. This option only affects XLIFF extraction.

##### Declaration

    public TransPDFOptions SetPages(string value)

##### Parameters

Type | Name | Description
--- | --- | ---
string | value | Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1. This option only affects XLIFF extraction.

##### Returns

Type | Description
--- | ---
TransPDFOptions | This object, for call chaining.

#### SetResizeSingleLine(bool)

Sets the value for ResizeSingleLine in the options object. If true, single line text boxes will grow and shrink to accommodate translated text.

##### Declaration

    public TransPDFOptions SetResizeSingleLine(bool value)

##### Parameters

Type | Name | Description
--- | --- | ---
bool | value | The new value for ResizeSingleLine.

##### Returns

Type | Description
--- | ---
TransPDFOptions | This object, for call chaining.

#### SetSourceLanguage(string)

Sets the value for SourceLanguage in the options object. A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

##### Declaration

    public TransPDFOptions SetSourceLanguage(string value)

##### Parameters

Type | Name | Description
--- | --- | ---
string | value | A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

##### Returns

Type | Description
--- | ---
TransPDFOptions | This object, for call chaining.

### Implements

IDisposable